package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjJygjGdsjgdcs;

/**
 * 设计信息-井眼轨迹_轨道设计各点参数Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-26
 */
public interface SjJygjGdsjgdcsMapper 
{
    /**
     * 查询设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param id 设计信息-井眼轨迹_轨道设计各点参数主键
     * @return 设计信息-井眼轨迹_轨道设计各点参数
     */
    public SjJygjGdsjgdcs selectSjJygjGdsjgdcsById(Long id);

    /**
     * 查询设计信息-井眼轨迹_轨道设计各点参数列表
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 设计信息-井眼轨迹_轨道设计各点参数集合
     */
    public List<SjJygjGdsjgdcs> selectSjJygjGdsjgdcsList(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 新增设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 结果
     */
    public int insertSjJygjGdsjgdcs(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 修改设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 结果
     */
    public int updateSjJygjGdsjgdcs(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 删除设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param id 设计信息-井眼轨迹_轨道设计各点参数主键
     * @return 结果
     */
    public int deleteSjJygjGdsjgdcsById(Long id);

    /**
     * 批量删除设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjJygjGdsjgdcsByIds(Long[] ids);

    int deleteSjJygjGdsjgdcsByJh(String jh);

    int insertSjJygjGdsjgdcsBatch(List<SjJygjGdsjgdcs> sjJygjGdsjgdcsList);

}
